# Uses of Interface
org.opensaml.saml.metadata.resolver.MetadataResolver

Packages that use MetadataResolver
Package
Description
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.metadata.resolver
Classes for SAML metadata resolution.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.

## Uses of MetadataResolver in org.opensaml.saml.common.profile.logic

Fields in org.opensaml.saml.common.profile.logic declared as MetadataResolver
Modifier and Type
Field
Description
`private MetadataResolver`
AffiliationNameIDPolicyPredicate.`metadataResolver`
Metadata resolver to use.
`private MetadataResolver`
EntityGroupNamePredicate.`metadataResolver`
A supplemental resolver to allow for `AffiliationDescriptor` lookup.
Methods in org.opensaml.saml.common.profile.logic with parameters of type MetadataResolver
Modifier and Type
Method
Description
`void`
AffiliationNameIDPolicyPredicate.`setMetadataResolver(MetadataResolver resolver)`
Set the metadata resolver to use.
Constructors in org.opensaml.saml.common.profile.logic with parameters of type MetadataResolver
Modifier
Constructor
Description
``
`EntityGroupNamePredicate(Collection<String> names, MetadataResolver resolver)`
Constructor.

## Uses of MetadataResolver in org.opensaml.saml.metadata.resolver

Subinterfaces of MetadataResolver in org.opensaml.saml.metadata.resolver
Modifier and Type
Interface
Description
`interface`
`BatchMetadataResolver`
Marker interface for `MetadataResolver` implementations which resolve metadata from a batch of data loaded and processed in advance of resolution operations, for example by loading an XML document from a file or HTTP resource at component initialization time.
`interface`
`ClearableMetadataResolver`
Specialization of `MetadataResolver` that supports on-demand clearing of the resolver's internal cache of data.
`interface`
`DynamicMetadataResolver`
Marker interface for `MetadataResolver` implementations which resolve metadata by dynamically querying for the requested data individually at the time of the resolution operation, for example by invoking a request to a remote network-based metadata publishing endpoint or metadata oracle service.
`interface`
`RefreshableMetadataResolver`
Specialization of `MetadataResolver` that supports on-demand refresh.
`interface`
`RemoteMetadataResolver`
A `MetadataResolver` that obtains metadata from a remote source.
Classes in org.opensaml.saml.metadata.resolver that implement MetadataResolver
Modifier and Type
Class
Description
`class`
`ChainingMetadataResolver`
A metadata provider that uses registered resolvers, in turn, to answer queries.
Fields in org.opensaml.saml.metadata.resolver with type parameters of type MetadataResolver
Modifier and Type
Field
Description
`private List<MetadataResolver>`
ChainingMetadataResolver.`resolvers`
Registered resolvers.
Methods in org.opensaml.saml.metadata.resolver that return types with arguments of type MetadataResolver
Modifier and Type
Method
Description
`List<MetadataResolver>`
ChainingMetadataResolver.`getResolvers()`
Get an immutable the list of currently registered resolvers.
Methods in org.opensaml.saml.metadata.resolver with parameters of type MetadataResolver
Modifier and Type
Method
Description
`private void`
ChainingMetadataResolver.`detectDuplicateEntityIDs(MetadataResolver resolver, CriteriaSet criteria, Set<String> resultEntityIDs, DetectDuplicateEntityIDs detectDuplicates)`
Perform duplicate entityID detection.
Method parameters in org.opensaml.saml.metadata.resolver with type arguments of type MetadataResolver
Modifier and Type
Method
Description
`void`
ChainingMetadataResolver.`setResolvers(List<? extends MetadataResolver> newResolvers)`
Set the registered metadata resolvers.

## Uses of MetadataResolver in org.opensaml.saml.metadata.resolver.impl

Classes in org.opensaml.saml.metadata.resolver.impl that implement MetadataResolver
Modifier and Type
Class
Description
`class`
`AbstractBatchMetadataResolver`
Abstract subclass for metadata resolvers that process and resolve metadata at a given point in time from a single metadata source document.
`class`
`AbstractDynamicHTTPMetadataResolver`
Abstract subclass for dynamic metadata resolvers that implement metadata resolution based on HTTP requests.
`class`
`AbstractDynamicMetadataResolver`
Abstract subclass for metadata resolvers that resolve metadata dynamically, as needed and on demand.
`class`
`AbstractMetadataResolver`
An abstract, base, implementation of a metadata provider.
`class`
`AbstractReloadingMetadataResolver`
Base class for metadata providers that cache and periodically refresh their metadata.
`class`
`CompositeMetadataResolver`
A `MetadataResolver` implementation that answers requests by composing the answers of child `MetadataResolver`s.
`class`
`DOMMetadataResolver`
A `MetadataProvider` implementation that retrieves metadata from a DOM `Element` as supplied by the user.
`class`
`FileBackedHTTPMetadataResolver`
An HTTP metadata provider that caches a copy of the retrieved metadata to disk so that, in the event that the metadata may not be pulled from the URL, it may be pulled from disk using the most recently fetched data.
`class`
`FilesystemMetadataResolver`
A metadata provider that pulls metadata from a file on the local filesystem.
`class`
`FunctionDrivenDynamicHTTPMetadataResolver`
Simple implementation of an HTTP-based dynamic metadata resolver which builds the request URL to process based on a `Function` instance.
`class`
`HTTPMetadataResolver`
A metadata provider that pulls metadata using an HTTP GET.
`class`
`LocalDynamicMetadataResolver`
Resolver which dynamically resolves metadata from a local source managed by an instance of `XMLObjectLoadSaveManager`.
`class`
`ResourceBackedMetadataResolver`
A metadata provider that reads metadata from a {#link `Resource`.
Fields in org.opensaml.saml.metadata.resolver.impl declared as MetadataResolver
Modifier and Type
Field
Description
`private MetadataResolver`
CompositeMetadataResolver.CompositeMetadataResolverIterable.CompositeMetadataResolverIterator.`currentResolver`
Current resolver from which we are getting results.
`private MetadataResolver`
PredicateRoleDescriptorResolver.`entityDescriptorResolver`
Resolver of EntityDescriptors.
Fields in org.opensaml.saml.metadata.resolver.impl with type parameters of type MetadataResolver
Modifier and Type
Field
Description
`private Iterator<MetadataResolver>`
CompositeMetadataResolver.CompositeMetadataResolverIterable.CompositeMetadataResolverIterator.`resolverIterator`
Iterator over the composed resolvers.
`private final List<MetadataResolver>`
CompositeMetadataResolver.CompositeMetadataResolverIterable.`resolvers`
Resolvers over which to iterate.
`private List<MetadataResolver>`
CompositeMetadataResolver.`resolvers`
Resolvers composed by this resolver.
Methods in org.opensaml.saml.metadata.resolver.impl that return types with arguments of type MetadataResolver
Modifier and Type
Method
Description
`List<MetadataResolver>`
CompositeMetadataResolver.`getResolvers()`
Gets an immutable the list of currently registered resolvers.
Method parameters in org.opensaml.saml.metadata.resolver.impl with type arguments of type MetadataResolver
Modifier and Type
Method
Description
`void`
CompositeMetadataResolver.`setResolvers(List<MetadataResolver> newResolvers)`
Sets the current set of metadata resolvers.
Constructors in org.opensaml.saml.metadata.resolver.impl with parameters of type MetadataResolver
Modifier
Constructor
Description
``
`PredicateRoleDescriptorResolver(MetadataResolver mdResolver)`
Constructor.
Constructor parameters in org.opensaml.saml.metadata.resolver.impl with type arguments of type MetadataResolver
Modifier
Constructor
Description
``
`CompositeMetadataResolverIterable(List<MetadataResolver> composedResolvers, CriteriaSet metadataCritiera)`
Constructor.